Mailinglist Archive: opensuse-buildservice (63 mails)

< Previous Next >
Re: [opensuse-buildservice] Re: Linking another package from within the same home project
  • From: Sean V Kelley <seanvk@xxxxxxxxx>
  • Date: Fri, 20 Jan 2017 22:27:20 -0800
  • Message-id: <2068249.zlGLVF2e9v@linux-cannonlake>
On Friday, January 20, 2017 7:14:28 PM PST jan matejek wrote:
On 20.1.2017 08:21, Adrian Schröter wrote:
unresolvable: nothing provides libyami

nothing provides libyami = 1.1.0 needed by libyami-devel

Any further suggestions, much appreciated.

This has nothing to do with the link, but that your library package is
call libyami1 and your -devel package requires libyami .

To expand:
package "libyami.rpm" from "libyami.spec" does not build, because there
is no "%files" section related to "libyami" (there are "%files -n
libyami1" and "%files devel", but not just "%files")

This is perfectly ok, if that is what you want.
But it does mean that you never get a "libyami" package.

Your "libyami-devel" has a requirement on "%name", which would be
"libyami", which, as shown, does not exist. So that is wrong, it should
probably be "libyami1".

Also, "libyami-utils" buildrequire "libyami", which should not be
necessary. "libyami-devel" should be sufficient.

m.

Thank you all for your feedback. Packages are building and working. I'm
hoping to add them to factory. I am the media lead for Intel's open source
driver and media frameworks. I quite enjoy working with Tumbleweed.

Best regards,

Sean
< Previous Next >